<div class="profile-card d-inline-block {{if @isSquare "is-square" "text-center"}}" ...attributes>
  {{#if @isSquare}}
    <div class="d-flex flex-row mb-3">
      <div>
        <ProfilePicture @isSquare={{true}} @picture={{@profile.picture}} />
      </div>
      <div class="profile-name p-2 align-items-center">
        <LinkTo @route="browse.profiles.profile" @model={{@profile.id}} class="text-decoration-none font-weight-bold">
          {{#if @profile.fullName}}
            {{@profile.fullName}}
          {{else}}
            {{t "anonymous"}}
          {{/if}}
        </LinkTo>

        <MarkDown @value={{truncate @profile.bio 50 true}} />
      </div>
    </div>
  {{else}}
    <ProfilePicture @picture={{@profile.picture}}/>

    <div class="profile-name align-top pt-2 {{if @isSquare "d-inline-block pt-3"}}">
      <LinkTo @route="browse.profiles.profile" @model={{@profile.id}} class="text-decoration-none font-weight-bold">
        {{#if @profile.fullName}}
          {{@profile.fullName}}
        {{else}}
          {{t "anonymous"}}
        {{/if}}
      </LinkTo>
    </div>
    {{#if @profile.role}}
      <div class="profile-role {{if @isSquare "d-inline-block"}}">
        {{t @profile.role}}
      </div>
    {{/if}}
  {{/if}}
</div>
